## org.ascape.model.engine
Class RuleOrderUpdateMutableStrategy

    java.lang.Object
      org.ascape.model.engine.ExecutionStrategy
          org.ascape.model.engine.IncrementalExecutionStrategy
              org.ascape.model.engine.ParallelExecutionStrategy
                  org.ascape.model.engine.RuleOrderStrategy
                      org.ascape.model.engine.RuleOrderMutableStrategy
                          org.ascape.model.engine.RuleOrderUpdateMutableStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class RuleOrderUpdateMutableStrategy

extends RuleOrderMutableStrategy

The Class RuleOrderUpdateMutableStrategy.

See Also:
  Serialized Form

Constructor Summary
`RuleOrderUpdateMutableStrategy(StrategyFactory factory)` Instantiates a new rule order update mutable strategy.

Method Summary
`void` `fire()` Fire.
`boolean` `isSupportsParallel()` Checks if is supports parallel.

Methods inherited from class org.ascape.model.engine.RuleOrderMutableStrategy
`hasNext, increment, nextParallelSequence, reset`

Methods inherited from class org.ascape.model.engine.RuleOrderStrategy
`hasNextParallel`

Methods inherited from class org.ascape.model.engine.ParallelExecutionStrategy
`execute, executeParallel, incrementParallel`

Methods inherited from class org.ascape.model.engine.IncrementalExecutionStrategy
`clone, getAgentIterator, getAgentSelector, getCurrentAgent, getCurrentRule, getRules, getRuleSelector, getScape, setAgentIterator, setAgentSelector, setRuleSelector`

Methods inherited from class org.ascape.model.engine.ExecutionStrategy
`chain`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleOrderUpdateMutableStrategy

    public RuleOrderUpdateMutableStrategy(StrategyFactory factory)

  Instantiates a new rule order update mutable strategy.

  Parameters:
    `factory` - the factory

Method Detail

### fire

    public void fire()

  Description copied from class: `IncrementalExecutionStrategy`
  Fire.

  Overrides:
    `fire` in class `IncrementalExecutionStrategy`

### isSupportsParallel

    public final boolean isSupportsParallel()

  Description copied from class: `ExecutionStrategy`
  Checks if is supports parallel.

  Overrides:
    `isSupportsParallel` in class `RuleOrderMutableStrategy`
  Returns:
    true, if is supports parallel